package com.zanxiang.game.module.manage.controller;

import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.game.module.manage.pojo.vo.VipLevelChoiceVO;
import com.zanxiang.game.module.manage.service.IAppletCheckService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2024-01-23
 * @description :
 */
@Api(tags = {"CP管理接口"})
@RestController
@RequestMapping("/test")
@Slf4j
public class TestController {

    @Autowired
    private IAppletCheckService appletCheckService;

    @ApiOperation(value = "小程序监测测试接口")
    @GetMapping(value = "/check/app")
    @PreAuthorize(permissionKey = "manage:cp:checkApp")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = VipLevelChoiceVO.class, responseContainer = "list")})
    public ResultVO<Void> vipLevelChoiceList() {
        appletCheckService.payApplicationCheck();
        return ResultVO.ok();
    }
}
